%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.2.0
%define libgnomeui_version 2.2.0
%define libbonobo_version 2.2.0
%define libbonoboui_version 2.2.0
%define gnome_vfs2_version 2.0.0
%define bonobo_activation_version 1.0.0
%define libgnomecanvas_version 2.0.0
%define libgnomeprint22_version 2.2.0
%define libgnomeprintui22_version 2.2.0
%define desktop_file_utils_version 0.2.90
%define gail_version 0.17

%define po_package glade-2.0

Summary:        A GTK+ GUI builder.
Name:           glade2
Version:        2.0.0
Release:        1.XOS.1
License:        GPL
URL:            http://glade.gnome.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/glade/glade-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Group:          Development/Tools

Requires: gail-devel >= %{gail_version}

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: bonobo-activation-devel >= %{bonobo_activation_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

%description
Glade is a free user interface builder for GTK+ and the GNOME GUI
desktop. Glade can produce C source code. Support for C++, Ada95,
Python, and Perl is also available, via external tools which process
the XML interface description files output by GLADE.

The glade2 package contains a version of Glade for GTK+ 2.0.

%prep
%setup -q -n glade-%{version}

%build
%configure --disable-gnome-db 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %po_package

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS TODO
%{_datadir}/glade-2
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications
%{_datadir}/pixmaps
%{_bindir}/*

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.0.0-1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on glade2-2.0.0-1.src.rpm
  (md5sum of original source rpm: 025c79b9a8243d0938ca68ebff9cea98).

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.0.0-1
- 2.0.0
- remove "stockfix" patch now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1.1.3-3
- no buildreq Xft

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- 1.1.3

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- require gail-devel #67084

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- move from CVS snap to final release

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.1.0.90 cvs snap
- use desktop-file-install

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Nalin Dahyabhai <nalin@redhat.com>
- fix a scrollkeeper validation bug

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May 23 2002 Havoc Pennington <hp@redhat.com>
- move to glade 2, based on glade 1 specfile
